require "devops-client/options/common_options"

class KeyOptions < CommonOptions
  commands :add, :delete, :list

  COMMAND_NAME = "key"

  def initialize args, def_options
    super(args, def_options)
    self.header = I18n.t("headers.key")
    self.list_params = []
    self.add_params = ["KEY_NAME", "FILE"]
    self.delete_params = ["KEY_NAME"]
  end

end
